uuid: b9f65488-0718-4999-b04d-008e246faca8
langcode: en
status: true
dependencies:
  config:
    - field.field.paragraph.bp_carousel.bp_background
    - field.field.paragraph.bp_carousel.bp_gutter
    - field.field.paragraph.bp_carousel.bp_slide_content
    - field.field.paragraph.bp_carousel.bp_slide_interval
    - field.field.paragraph.bp_carousel.bp_title
    - field.field.paragraph.bp_carousel.bp_title_status
    - field.field.paragraph.bp_carousel.bp_width
    - field.field.paragraph.bp_carousel.field_bp_classes
    - paragraphs.paragraphs_type.bp_carousel
  module:
    - advanced_text_formatter
    - field_group
    - maxlength
    - paragraphs
third_party_settings:
  field_group:
    group_advanced:
      children:
        - bp_width
        - bp_background
        - field_bp_classes
      label: 'Styling settings'
      region: content
      parent_name: ''
      weight: 3
      format_type: details
      format_settings:
        classes: ''
        id: styling-settings
        open: false
        required_fields: true
    group_title:
      children:
        - bp_title
        - bp_title_status
      label: 'Component title'
      region: content
      parent_name: ''
      weight: 0
      format_type: details
      format_settings:
        classes: ''
        id: ''
        open: false
        description: ''
        required_fields: false
_core:
  default_config_hash: YhE0k8px76Rt9WmtMdqrnow26du0DkRFZ8G1L2Dn76s
id: paragraph.bp_carousel.default
targetEntityType: paragraph
bundle: bp_carousel
mode: default
content:
  bp_background:
    type: options_buttons
    weight: 6
    region: content
    settings: {  }
    third_party_settings: {  }
  bp_slide_content:
    type: paragraphs
    weight: 2
    region: content
    settings:
      title: Component
      title_plural: Components
      edit_mode: closed
      closed_mode: summary
      autocollapse: none
      closed_mode_threshold: 0
      add_mode: modal
      form_display_mode: default
      default_paragraph_type: ''
      features:
        collapse_edit_all: collapse_edit_all
        duplicate: duplicate
    third_party_settings: {  }
  bp_slide_interval:
    type: options_select
    weight: 1
    region: content
    settings: {  }
    third_party_settings: {  }
  bp_title:
    type: string_textfield
    weight: 1
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings:
      maxlength:
        maxlength_js: null
        maxlength_js_label: 'Content limited to @limit characters, remaining: <strong>@remaining</strong>'
      advanced_text_formatter:
        show_token_tree: 0
  bp_title_status:
    type: boolean_checkbox
    weight: 2
    region: content
    settings:
      display_label: true
    third_party_settings: {  }
  bp_width:
    type: options_buttons
    weight: 4
    region: content
    settings: {  }
    third_party_settings: {  }
  field_bp_classes:
    type: options_select
    weight: 7
    region: content
    settings: {  }
    third_party_settings: {  }
  translation:
    weight: 4
    region: content
    settings: {  }
    third_party_settings: {  }
hidden:
  bp_gutter: true
  created: true
  status: true
  uid: true
